#!/bin/sh

ORIG=/data/UsbDisk1/Volume1/DCIM/

SDFOLDERDATE1=$(stat $ORIG | grep "Change")
SDFOLDERDATE2=${SDFOLDERDATE1:8:19}
SDFOLDERDATE3=$( echo $SDFOLDERDATE2 | sed "s/://g" |  sed "s/ /_/")
#echo $SDFOLDERDATE1
#echo $SDFOLDERDATE2
echo "--------------------------------------------"
echo "Backup in Verzeichnis:" $SDFOLDERDATE3
echo "--------------------------------------------"

DEST=/data/UsbDisk2/Volume1/$SDFOLDERDATE3
echo $DEST > /data/UsbDisk2/Volume1/tmp/dest.txt
mkdir -p $DEST
mkdir -p /data/UsbDisk2/Volume1/tmp

#Ausgabe Auslastung USB Laufwerk
echo "Auslastung USB vor Kopieren:"
df -h | grep UsbDisk2 | awk '{print "USB Used: " $3"B/"$2"B","("$5")", "Free: " $4"B"}'

echo "--------------------------------------------"

#Erstmal die Dateien mit tar kopieren
# hierzu eine Liste der Dateien erstellen, welche NICHT kopiert werden sollen
# NICHT kopiert werden sollen alle Dateien welche sich bereits im ZIEL befinden

find $DEST -type f | sed "s|$DEST|.|g" > /data/UsbDisk2/Volume1/tmp/exclude.txt

cd $ORIG
/data/UsbDisk2/Volume1/busybox-mipsel tar c -X /data/UsbDisk2/Volume1/tmp/exclude.txt -f - . | (cd $DEST; tar xvf -)

echo "--------------------------------------------"
# rsync Syncronisation
cd /data/UsbDisk2/Volume1
./rsync-mips -rhv --size-only --stats $ORIG $DEST

echo "--------------------------------------------"
#Ausgabe Auslastung USB Laufwerk
echo "Auslastung USB nach Kopieren:"
df -h | grep UsbDisk2 | awk '{print "USB Used: " $3"B/"$2"B","("$5")", "Free: " $4"B"}'
